From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-libs/scipy/
Date: Sat, 20 May 2017 09:52:01 +0000 (UTC) [thread overview]
Message-ID: <1495273859.be2a641ab5d1afc318990d19ac7cd58c8c6c3c0d.jlec@gentoo> (raw)
commit: be2a641ab5d1afc318990d19ac7cd58c8c6c3c0d
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Fri May 19 10:14:52 2017 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sat May 20 09:50:59 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=be2a641a
sci-libs/scipy: Bump to EAPI 6
Package-Manager: Portage-2.3.5, Repoman-2.3.2
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
sci-libs/scipy/scipy-9999.ebuild | 22 ++++++++++++----------
1 file changed, 12 insertions(+), 10 deletions(-)
diff --git a/sci-libs/scipy/scipy-9999.ebuild b/sci-libs/scipy/scipy-9999.ebuild
index 40b9ba8c70b..b25250bfad3 100644
--- a/sci-libs/scipy/scipy-9999.ebuild
+++ b/sci-libs/scipy/scipy-9999.ebuild
@@ -1,14 +1,14 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
+EAPI=6
PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
PYTHON_REQ_USE="threads(+)"
DOC_PV=${PV}
-inherit eutils fortran-2 distutils-r1 flag-o-matic git-r3 multilib multiprocessing toolchain-funcs
+inherit fortran-2 distutils-r1 flag-o-matic git-r3 multiprocessing toolchain-funcs
DESCRIPTION="Scientific algorithms library for Python"
HOMEPAGE="https://www.scipy.org/"
@@ -27,7 +27,7 @@ CDEPEND="
sparse? ( sci-libs/umfpack:0= )"
DEPEND="${CDEPEND}
dev-lang/swig
- >=dev-python/cython-0.22[${PYTHON_USEDEP}]
+ >=dev-python/cython-0.23.4[${PYTHON_USEDEP}]
virtual/pkgconfig
test? ( dev-python/nose[${PYTHON_USEDEP}] )
"
@@ -39,11 +39,6 @@ DOCS=( HACKING.rst.txt THANKS.txt )
DISTUTILS_IN_SOURCE_BUILD=1
-PATCHES=(
- "${FILESDIR}"/${PN}-0.12.0-blitz.patch
- "${FILESDIR}"/${PN}-0.12.0-restore-sys-argv.patch
-)
-
pc_incdir() {
$(tc-getPKG_CONFIG) --cflags-only-I $@ | \
sed -e 's/^-I//' -e 's/[ ]*-I/:/g' -e 's/[ ]*$//' -e 's|^:||'
@@ -78,7 +73,7 @@ python_prepare_all() {
append-fflags -fPIC
local libdir="${EPREFIX}"/usr/$(get_libdir)
- cat >> site.cfg <<-EOF
+ cat >> site.cfg <<-EOF || die
[blas]
include_dirs = $(pc_incdir cblas)
library_dirs = $(pc_libdir cblas blas):${libdir}
@@ -88,21 +83,28 @@ python_prepare_all() {
lapack_libs = $(pc_libs lapack)
EOF
+ # Drop hashes to force rebuild of cython based .c code
+ rm cythonize.dat || die
+
distutils-r1_python_prepare_all
}
python_compile() {
${EPYTHON} tools/cythonize.py || die
- distutils-r1_python_compile -j $(makeopts_jobs) ${SCIPY_FCONFIG}
+ distutils-r1_python_compile \
+ $(usex python_targets_python3_5 "" "-j $(makeopts_jobs)") \
+ ${SCIPY_FCONFIG}
}
python_test() {
# fails with bdist_egg. should it be fixed in distutils-r1 eclass?
distutils_install_for_testing ${SCIPY_FCONFIG}
cd "${TEST_DIR}" || die "no ${TEST_DIR} available"
+ einfo "Run test I"
"${PYTHON}" -c \
'import numpy as np; print("relaxed strides checking:", np.ones((10,1),order="C").flags.f_contiguous)' \
|| die
+ einfo "Run test II"
# https://github.com/scipy/scipy/issues/5426
"${EPYTHON}" -c \
"import scipy, sys; r = scipy.test('fast', verbose=2, raise_warnings='release'); sys.exit(0 if r.wasSuccessful() else 1)" \
next reply other threads:[~2017-05-20 9:52 UTC|newest]
Thread overview: 43+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-05-20 9:52 Justin Lecher [this message]
-- strict thread matches above, loose matches on Subject: below --
2020-08-02 12:03 [gentoo-commits] repo/gentoo:master commit in: sci-libs/scipy/ Michał Górny
2020-07-24 14:31 Michał Górny
2020-07-08 8:26 Michał Górny
2020-06-22 15:36 Michał Górny
2020-06-16 22:02 David Seifert
2020-06-10 8:11 Michał Górny
2020-06-10 7:37 Michał Górny
2020-06-07 21:03 Alexey Shvetsov
2020-06-05 13:13 Michał Górny
2020-06-05 10:55 Michał Górny
2020-06-05 10:55 Michał Górny
2020-05-13 10:08 Agostino Sarubbo
2020-05-12 14:47 Agostino Sarubbo
2020-03-07 15:11 Michał Górny
2020-01-27 20:54 Michał Górny
2020-01-27 18:18 Rick Farina
2020-01-27 4:59 Benda XU
2019-12-30 12:59 Michał Górny
2019-12-26 2:42 Jason Zaman
2018-06-27 21:04 Pacho Ramos
2018-06-14 13:11 Alexey Shvetsov
2018-05-17 13:52 Thomas Deutschmann
2018-03-30 17:26 Sergei Trofimovich
2018-03-29 6:17 Sergei Trofimovich
2017-11-30 11:52 Marek Szuba
2017-07-04 17:43 Sebastien Fabbro
2017-06-28 4:02 Sebastien Fabbro
2017-05-19 8:13 Justin Lecher
2017-03-19 12:45 David Seifert
2017-03-11 1:58 Zac Medico
2016-10-08 12:13 David Seifert
2016-03-16 11:51 Agostino Sarubbo
2016-02-14 10:11 Agostino Sarubbo
2016-01-29 9:09 Justin Lecher
2016-01-26 16:42 Agostino Sarubbo
2016-01-25 19:45 Justin Lecher
2016-01-25 19:45 Justin Lecher
2015-11-11 17:27 Justin Lecher
2015-10-31 10:25 Justin Lecher
2015-10-30 12:03 Justin Lecher
2015-10-29 8:20 Justin Lecher
2015-10-25 18:10 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1495273859.be2a641ab5d1afc318990d19ac7cd58c8c6c3c0d.jlec@gentoo \
--to=jlec@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox